/*
 * $Id: nextroom.C,v 1.2 1994/08/15 19:34:38 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include <stdlib.h>

#include "addvutil.H"
#include "nextroom.H"

/***************************************************************************/

NextRoom::NextRoom( char *path ){
  int l;             // The length of the string to allocate
  char slash[2];     // We may or may not need a slash

  const char *name = "nextroom.addv";
  
  if( last_char( path ) == '/' ){
    // The slash is already there
    strcpy( slash, "" );
  } else {
    // We will need a slash
    strcpy( slash, "/" );
  }

  l = null_strlen( path ) + null_strlen( slash ) + null_strlen( name ) + 1;
  filename = (char *)malloc( l );
  sprintf( filename, "%s%s%s", path, slash, name );
  
}

/***************************************************************************/

NextRoom::~NextRoom(){
  free( filename );
}

/***************************************************************************/

int NextRoom::operator int(){
  FILE *f;
  int ret;

  set_permissions();
  f = fopen( filename, "r" );
  fscanf( f, "%d", &ret );
  fclose( f );

  return ret;
}

/***************************************************************************/

int NextRoom::operator=( int value ){
  FILE *f;

  set_permissions();
  f = fopen( filename, "w" );
  fprintf( f, "%d\n", value );
  fclose( f );
  
  return value;
}

/***************************************************************************/

/*
 * $Log: nextroom.C,v $
 * Revision 1.2  1994/08/15  19:34:38  asf
 * Converted calls from strlen() to null_strlen()
 *
 * Revision 1.1  1994/08/04  20:47:42  asf
 * Initial revision
 *
 */
