/*
 * $Id: opt.C,v 1.3 1994/09/30 19:54:34 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "opt.H"

#include <string.h>
#include <stdio.h>

/***************************************************************************/

Opt::Opt( int argc, char *argv[] ){
  this->argc = argc;
  this->argv = argv;
}

/***************************************************************************/

Opt::~Opt(){
}

/***************************************************************************/

// Get either the parameter following the string, or the remainder of
// the string that starts with the character

char *Opt::get_value( char *param ){
  char *value = NULL;
  int co;

  static char *default_true = "";   // What to set it to if param has no value

  for( co=1; co<argc; co++ ){
    if( !strcmp( param, argv[co] ) ){
      //The parameters match
      if( co < (argc - 1) ){
        // This wasn't the last parameter, so check the next one for a value
        if( argv[co+1][0] != '-' ){
          // This is not another parameter, so we can return it
          value = argv[co+1];
        } else {
          // This parameter has no next value, so just mark it
          value = default_true;
        }
      } else {
        value = default_true;
      }
    }
  }

  return value;
}

//---------------------------------------------------------------------------

char *Opt::get_value( char param ){
  char *value = NULL;
  int co;

  for( co=1; co<argc; co++ ){
    if( (argv[co][0] == '-') && (argv[co][1] == param) ){
      value = &(argv[co][2]);
    }
  }

  return value;
}

/*
 * $Log: opt.C,v $
 * Revision 1.3  1994/09/30  19:54:34  asf
 * Fixed problems with handling the last parameter on a line if it was
 * not a parameter with a value.
 *
 * Revision 1.2  1994/08/04  20:51:30  asf
 * Changed - to =  (typo fix).
 *
 * Revision 1.1  1994/07/28  19:59:36  asf
 * Initial revision
 *
 */
