/*
 * $Id: setaddv.H,v 1.7 1995/01/28 16:59:50 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1991-94, 1995  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _SETADDV_H
#define _SETADDV_H

#include "setting.H"

/***************************************************************************/

class SetAddv:public Setting{
public:  
  // Constructor/destructor
  SetAddv( char *path );
  ~SetAddv();

  // Parse everything else from the command line
  void set( Opt &command_line );

  // Get some values
  char *version();      // What version was this game created with?
  char *date_started(); // When was the game started?
  int backlink();       // Should we backlink at all?
  int linkdefault();    // Should we allow linking to a room by default?
  int evil_html();      // Should we allow various HTML?
  int cleanup_after();  // When should we restore a stale room?
  int goback();         // When should we provide a link to the parent?
  char *game_title();   // Game title  (NULL if none)
  char *contact();      // Who is in charge of this game?
  char *roomword();     // What word do we use for "room"?

private:
  int  getboolean( char *label, int def = 0 );
  void setboolean( Opt &command_line, char *cl_value,
                   char *label, int def );
};

/***************************************************************************/

#endif

/*
 * $Log: setaddv.H,v $
 * Revision 1.7  1995/01/28  16:59:50  asf
 * Changed the "anchor option" to "evil_html".
 *
 * Revision 1.6  1995/01/01  16:43:11  asf
 * Added support for the "room word"
 *
 * Revision 1.5  1994/12/17  20:11:27  asf
 * Added the ability to put or deny anchors in optiosn.
 *
 * Revision 1.4  1994/10/01  19:35:51  asf
 * Added version(), date_started(), and contact() accessors.
 *
 * Revision 1.3  1994/09/16  14:17:08  asf
 * Added various accessor functions.
 *
 * Revision 1.2  1994/09/15  11:24:19  asf
 * Changed parameter name from "default" to "def"
 *
 * Revision 1.1  1994/09/14  13:49:36  asf
 * Initial revision
 *
 */
