/*
 * $Id: stat.H,v 1.2 1995/10/10 07:49:34 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _STAT_H
#define _STAT_H

#include <list.H>

#include "option.H"

/***************************************************************************/

class Stat{
public:
  Stat( char *string );  // Parse it!
  Stat( int room, OptionArray &children,
        char *host, char *author,
        char *dtg = NULL );
  ~Stat();

  // Accessors
  int valid();
  
  int room();
  OptionArray *children();
  char *host();
  char *author();
  char *date();

  char *string();       // The one-liner representation
  
private:
  int _valid;
  int _room;
  OptionArray *_children;
  char *_host;
  char *_author;
  char *_dtg;      // Date and Time
};

/***************************************************************************/

class StatNode:public Stat, public Node{
public:
  StatNode( char *string );  // Parse it!
  StatNode( int room, OptionArray &children,
            char *host, char *author,
            char *dtg = NULL );
  ~StatNode();
};

//***************************************************************************/

class StatFile{
public:
  StatFile( char *filepath, int load = 0 );
  ~StatFile();

  // Accessors
  List *statlist();

  // File actions
  void load();
  void add( int room, OptionArray &children,
           char *host, char *author );
  
private:
  int _loaded;        // Is the file loaded?
  char *_filename;

  List *_statlist;
  
};

/***************************************************************************/

#endif

/*
 * $Log: stat.H,v $
 * Revision 1.2  1995/10/10  07:49:34  asf
 * Added support for validity checking.
 *
 * Revision 1.1  1994/08/30  21:13:02  asf
 * Initial revision
 *
 */
