/*
 * $Id: timefile.H,v 1.1 1994/10/01 15:46:45 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _TIMEFILE_H
#define _TIMEFILE_H

#include <time.h>

/***************************************************************************/

class TimeFile{
public:

  // Constructor / destructor
  TimeFile( char *path, int room, char *ext );
  TimeFile( char *path, char *room, char *ext );
  ~TimeFile();

  int create( int parent = 0 );
  /*
   * Create the openfile.  Return 1 on success, 0 on failure.
   */

  time_t value();
  /*
   * Return the create time that has been stored
   */

  int parent();
  /*
   * Return the parent that was stored inthe file
   */

  int exists();
  /*
   * Return 1 if the file exists and 0 if it does not
   */

  int remove();
  /*
   * Delete the openfile.  Return 1 on success, 0 on failure.
   */

private:
  char *filename;

};

/***************************************************************************/

#endif

/*
 * $Log: timefile.H,v $
 * Revision 1.1  1994/10/01  15:46:45  asf
 * Initial revision
 *
 */
